System.Design 2.0.0.0 System.Object

The abstract class defines the common set of properties that all mask descriptors must implement. You can use mask descriptors to create predefined mask options for use in the UI type editor for the . For example, vsprvs provides predefined masks for data such as the Postal Code, time, different date formats, and telephone number. All predefined masks will be associated with the parsing engine.

You can discover types at design time by querying the service provider.

Defines a set of members for derived classes to provide options for the masked text box UI type editor.

- Constructor
  2.0.0.0

  is a compiler-supplied default constructor. A default constructor is required by the service provider.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  System.Globalization.CultureInfo To be added. To be added.

  Gets the representing the locale the mask is authored for.

- Method
  2.0.0.0
  System.Boolean ``

  The method determines whether and the current mask descriptor describe the same mask.

  This method returns true if the following conditions are met in both mask descriptors.

  1. The property is the same for both mask descriptors.

  2. The validating type is the same for both mask descriptors.

  The property is not considered, because the and classes do not use it.

  Determines whether the specified is equal to the current .

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current .
- Method
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Boolean ``

  The method determines whether is valid and can be added to the masks list.

  A valid must meet the following conditions.

  Not null.

  Not null or an empty mask.

  Not null or an empty name.

  Not null or an empty sample.

  The sample is correct based on the mask and all required edit characters have been provided. This means the mask is completed but not necessarily full.

  The sample is valid based on the object, if any.

  Returns a value indicating whether the specified mask descriptor is valid and can be added to the masks list.

  true if is valid; otherwise, false.

  The mask descriptor to test for validity.
- Method
  2.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.String To be added.

  The mask must contain only valid characters, as defined by the method of the class. When a predefined mask is selected in vsprvs, its property is displayed.

  Gets the mask being defined.

- Property
  2.0.0.0
  System.String To be added.

  The property is displayed in the Mask Description column in the visual editor for the control.

  Gets the user-friendly name of the mask.

- Property
  2.0.0.0
  System.String To be added.

  The property is displayed in the Data Format column in the visual editor for the control.

  Gets a sample of a formatted string for the mask.

- Method
  2.0.0.0
  System.String To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Type To be added.

  The property is used to validate the input string after the mask has been applied to it. It directly corresponds to the property of the class.

  Gets the type providing validation associated with the mask.